Sisimai::Reason::MailboxFull(3pm)

NAME
Sisimai::Reason::MailboxFull - Bounce reason is "mailboxfull" or not.

SYNOPSIS
    use Sisimai::Reason::MailboxFull;
    print Sisimai::Reason::MailboxFull->match('400 4.2.3 Mailbox full');   # 1

DESCRIPTION
Sisimai::Reason::MailboxFull checks the bounce reason is "mailboxfull" or not. This class is called only Sisimai::Reason class.

This is the error that a recipient's mailbox is full. Sisimai will set "mailboxfull" to the reason of email bounce if the value of Status: field in a bounce email is 4.2.2 or 5.2.2.

    Action: failed
    Status: 5.2.2
    Diagnostic-Code: smtp;550 5.2.2 <kijitora@example.jp>... Mailbox Full

CLASS METHODS

  "text()"
"text()" returns string: "mailboxfull".

    print Sisimai::Reason::MailboxFull->text;  # mailboxfull

  "match(string)"
"match()" returns 1 if the argument matched with patterns defined in this class.

    print Sisimai::Reason::MailboxFull->match('400 4.2.3 Mailbox full');   # 1

  "true(Sisimai::Data)"
"true()" returns 1 if the bounce reason is "mailboxfull". The argument must be Sisimai::Data object and this method is called only from Sisimai::Reason class.

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2014-2018 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.